//TSOUSR13 JOB ,,CLASS=A,
//         MSGCLASS=X,
//         REGION=0M,
//         NOTIFY=&SYSUID
//*
// SET MEMBER=TESTJSN3
// SET COBLIB=COBOL.V6R3M0.SIGYCOMP
//*
//JOBLIB   DD DSN=&SYSUID..V5R1M0.SFSYLOAD,DISP=SHR
//         DD DSN=&COBLIB,DISP=SHR
//*
//*********************************************************************
//* COPYRIGHT 2019,2020 TRANSIOM SOFTWARE, INC.     REV. 09/07/2020   *
//*                               WRITTEN BY: SRECKO LAZANJA          *
//* 5655-MGU COPYRIGHT IBM CORP 2019-2020.                            *
//* ALL RIGHTS RESERVED. LICENSED MATERIAL - PROPERTY OF IBM.         *
//* USE, DUPLICATION OR DISCLOSURE RESTRICTED BY GSA ADP.             *
//*                                                                   *
//* JCMUJSN0 - COMPILE & LINK AND EXECUTE PENGIEZT/MU PROGRAM         *
//*            (LINK AND GO)                                          *
//*                                                                   *
//* Demo of JSON PARSE using a hardcoded JSON Script in the program.  *
//*********************************************************************
//*
//FSYTPA00 EXEC PGM=FSYTPA00,PARM=
//SYSOUT   DD SYSOUT=*
//SYSLIST  DD SYSOUT=*
//SYSPRINT DD SYSOUT=*
//SYSIN    DD *
*---------------------------------------------------------------------*
* COPYRIGHT 2019,2020 TRANSIOM SOFTWARE, INC.                         *
* ALL RIGHTS RESERVED - PROPERTY OF TRANSIOM SOFTWARE, INC.           *
* REV. 09/07/2020               WRITTEN BY: SRECKO LAZANJA            *
*                                                                     *
* 5698-MG5 COPYRIGHT IBM CORP 2020                                    *
* ALL RIGHTS RESERVED. LICENSED MATERIAL - PROPERTY OF IBM.           *
* USE, DUPLICATION OR DISCLOSURE RESTRICTED BY GSA ADP.               *
*                                                                     *
* JSON parser demo program for distribution. JSON PARSE using JSON    *
* string defined in the program.                                      *
*---------------------------------------------------------------------*
* EASYTRAN: PROCESS OPTIMIZE(0)
* EASYTRAN: IOMODE DYNAM
* EASYTRAN: CAPS=OFF
* EASYTRAN: DEBUG (LIST BLIST COBOL ESPI-FULL)
* END-EASYTRAN

DEFINE jtxt-1047-client-data W  300 A  +
       VALUE '{"client-data":{ +
               "account-num":123456789012, +
               "balance":-125.53, +
               "billing-info":{ +
               "name-firstx":"John", +
               "name-lastx":"Smith", +
               "addr-street":"12345 First Avenue", +
               "addr-city":"New York", +
               "addr-region":"New York", +
               "addr-code":"10203" +
                } +
              } +
           } '

DEFINE client-data  W  133 A
DEFINE    account-num  client-data   +0 12 A JMASK ('999999999999')
DEFINE    balance      client-data  +12 10 A JMASK ('$$$$9.99CR')
DEFINE    billing-info client-data  +22 110  NATIONAL
DEFINE       name-first   billing-info    +00  20 NATIONAL
DEFINE       name-last    billing-info    +20  20 NATIONAL
DEFINE       addr-street  billing-info    +40  20 NATIONAL
DEFINE       addr-city    billing-info    +60  20 NATIONAL
DEFINE       addr-region  billing-info    +80  20 NATIONAL
DEFINE       addr-code    billing-info   +100  10 NATIONAL

JOB INPUT NULL
%JSON PARSE jtxt-1047-client-data INTO client-data +
      with detail +
      name of name-first is 'name-firstx' +
              name-last is name-lastx   +
end-json
DISPLAY '========================================================='
DISPLAY 'Error JSON-CODE=' JSON-CODE
DISPLAY 'Error JSON-STATUS=' JSON-STATUS

DISPLAY '========================================================='
DISPLAY 'Account: ' account-num
DISPLAY 'Balance: ' balance
DISPLAY 'Client Information:'
DISPLAY '    Name last: ' name-last
DISPLAY '   Name-first: ' name-first
DISPLAY ' Address:'
DISPLAY '   addr-street: '  addr-street
DISPLAY '   addr-city--: '  addr-city
DISPLAY '   addr-region: '  addr-region
DISPLAY '   addr-code--: '  addr-code
DISPLAY '========================================================='
STOP
/*
//
