//TSOUSR1Z JOB ,,CLASS=A,
//         MSGCLASS=X,
//         REGION=0M,
//         NOTIFY=&SYSUID
//*
//JOBLIB   DD DSN=SYS1.SFSYLOAD,DISP=SHR
//*********************************************************************
//* COPYRIGHT (C) 1989,2020 TRANSIOM SOFTWARE, INC.                   *
//* ALL RIGHTS RESERVED - PROPERTY OF TRANSIOM SOFTWARE, INC.         *
//*                                                                   *
//* 5698-MG5 COPYRIGHT IBM CORP 2001,2020.                            *
//* ALL RIGHTS RESERVED. LICENSED MATERIAL - PROPERTY OF IBM.         *
//* USE, DUPLICATION OR DISCLOSURE RESTRICTED BY GSA ADP.             *
//*                                                                   *
//* REV. 02/21/2013               WRITTEN BY: SRECKO LAZANJA          *
//*------------------------------------------------------------------ *
//* JCMUXML0 - Compile, link and execute PEngiEZT/IMU XML program     *
//*            (LINK AND GO)                                          *
//*------------------------------------------------------------------ *
//* This program demonstrates how to create XML files and publish     *
//* to z/OS Unix server. Two XML files are created:                   *
//*    1. REPORT1 creates XML from a detail report                    *
//*    2. REPORT2 creates XML from a summary report                   *
//*                                                                   *
//* Note: The output reports of this job can be used as input         *
//*       to JCMUXML2 (XML Parser demo program)                       *
//*********************************************************************
//*
//* XML detail report (change to your own name)
//   SET REPORT1=&SYSUID..TEMP.XML.DETAIL
//*
//* XML summary report (change to your own name)
//   SET REPORT2=&SYSUID..TEMP.XML.SUMMARY
//*
//* Unix system configuration file used to determine code set
//* i.e., ascii or ebcdic.
//* This file is needed when publishing to z/OS Unix server.
//* Consult with Unix system administrator for httpd.conf location.
//* (change below to your own file)
//   SET CONFIG=&SYSUID..V4R0M0.EZTSRC(CONFIG)
//*
//* Input test file (change to IMU's SFSYEZTS)
//   SET FILEIN=SYS1.SFSYEZTS(TESTFIL0)
//*
//FSYTPA00 EXEC PGM=IEFBR14
//REPORT1  DD DSN=&REPORT1,
//         DISP=(MOD,DELETE,DELETE),
//         SPACE=(CYL,(5,2))
//REPORT2  DD DSN=&REPORT2,
//         DISP=(MOD,DELETE,DELETE),
//         SPACE=(CYL,(5,2))
//*
//FSYTPA00 EXEC PGM=FSYTPA00,PARM=
//* Unix system configuration file used to determine code ascii/ebcdic
//* Consult with Unix system administrator for httpd.conf location.
//*
//* Use when config is a PDS (See SET CONFIG= at the top of this job)
//FJCONFG  DD DSN=&CONFIG,DISP=SHR
//*
//* Use the following when config is on z/OS Unix (change to your own)
//* (change to your own path for config file)
//*FJCONFG  DD PATHOPTS=(ORDONLY),
//*         PATH='/etc/httpd.conf'
//*
//* Point PATH= of your own directory on z/OS Unix.
//FJUNIX0  DD PATHOPTS=(ORDONLY),
//        PATH='/u/migutil'
//*
//* z/OS Unix publishing run log files
//STDOUT   DD SYSOUT=*
//STDERR   DD SYSOUT=*
//* log of directories and files created on unix system
//FJDMAP0  DD SYSOUT=*
//*
//REPORT1  DD DSN=&REPORT1,
//         DISP=(NEW,CATLG,CATLG),
//         SPACE=(TRK,(15,5),RLSE)
//REPORT2  DD DSN=&REPORT2,
//         DISP=(NEW,CATLG,CATLG),
//         SPACE=(TRK,(15,5),RLSE)
//FILEIN   DD DSN=&FILEIN,DISP=SHR
//SYSOUT   DD SYSOUT=*
//SYSLIST  DD SYSOUT=*
//SYSPRINT DD SYSOUT=*
//SYSIN    DD *
*PARM LINK (TESTXML0)
* EASYTRAN: IOMODE DYNAM
* EASYTRAN: DEBUG (LIST COBOL ESPI-FULL)
* END-EASYTRAN

FILE REPORT1 PRINTER SERVER
FILE REPORT2 PRINTER SERVER

FILE FILEIN F (80)
COMPANY * 2  A HEADING ('COMPANY')
BRANCH  * 3  A HEADING ('BRANCH')
OFFICER * 4  A HEADING ('OFFICER')
WAGE    * 8  N 2 HEADING ('WAGE')
RATE    * 5  N 3 HEADING ('RATE')

JOB INPUT FILEIN
PRINT RPT1
PRINT RPT2
GOTO JOB

REPORT RPT1 PRINTER REPORT1 XML
SEQUENCE COMPANY BRANCH OFFICER
CONTROL COMPANY BRANCH OFFICER
HEADING COMPANY ('COMPANY' 'NUMBER')
HEADING BRANCH  ('BRANCH' 'NUMBER')
HEADING OFFICER ('OFFICER' 'NUMBER')
LINE 1 COMPANY BRANCH OFFICER WAGE RATE

REPORT RPT2 PRINTER REPORT2 XML SUMMARY
SEQUENCE COMPANY BRANCH OFFICER
CONTROL COMPANY BRANCH OFFICER
HEADING COMPANY ('COMPANY' 'NUMBER')
HEADING BRANCH  ('BRANCH' 'NUMBER')
HEADING OFFICER ('OFFICER' 'NUMBER')
LINE 1 COMPANY BRANCH OFFICER WAGE RATE
/*
//
