//TSOUSR1Z JOB ,,CLASS=A,
//         MSGCLASS=X,
//         REGION=0M,
//         NOTIFY=&SYSUID
//JOBLIB   DD DSN=SYS1.SFSYLOAD,DISP=SHR
//*
//* Input file (REPORT1 from JCMUXML0 and JCMUXML1 jobs)
//   SET FILEIN=&SYSUID..TEMP.XML.DETAIL
//** SET FILEIN=&SYSUID..TEMP.XML.SUMMARY
//*
//*********************************************************************
//* COPYRIGHT (C) 1989,2020 TRANSIOM SOFTWARE, INC.                   *
//* ALL RIGHTS RESERVED - PROPERTY OF TRANSIOM SOFTWARE, INC.         *
//*                                                                   *
//* 5698-MG5 COPYRIGHT IBM CORP 2001,2020.                            *
//* ALL RIGHTS RESERVED. LICENSED MATERIAL - PROPERTY OF IBM.         *
//* USE, DUPLICATION OR DISCLOSURE RESTRICTED BY GSA ADP.             *
//*                                                                   *
//* REV. 02/21/2013               WRITTEN BY: SRECKO LAZANJA          *
//*------------------------------------------------------------------ *
//* JCMUXML2 - Compile, link and run PEngiEZT/IMU XML parser program  *
//*            (LINK AND GO)                                          *
//*------------------------------------------------------------------ *
//* This program demonstrates how to parse XML files.                 *
//*                                                                   *
//* Note: Run JCMUXML0 or JCMUXML1 JOB to create FILEIN file.         *
//*********************************************************************
//*
//FSYTPA00 EXEC PGM=FSYTPA00,PARM=
//FILEIN   DD DSN=&FILEIN,DISP=SHR
//FILEOUT  DD SYSOUT=*
//SYSOUT   DD SYSOUT=*
//SYSLIST  DD SYSOUT=*
//SYSPRINT DD SYSOUT=*
//SYSIN    DD *
*PARM LINK (TESTXML2)
***********************************************************************
* XML parser demo program.                                            *
***********************************************************************
* EASYTRAN: IOMODE DYNAM
* EASYTRAN: CAPS=OFF
* EASYTRAN: DEBUG (LIST COBOL ESPI-FULL)
* END-EASYTRAN

FILE FILEIN V (4096)
FILE FILEOUT F (80)
COMPANY *  2 A   HEADING ('COMPANY')
BRANCH  *  3 A   HEADING ('BRANCH')
OFFICER *  4 A   HEADING ('OFFICER')
WAGE    *  8 N 2 HEADING ('WAGE')
RATE    *  5 N 3 HEADING ('RATE')

FIELDA W 100 A VALUE SPACES
FIELDB W 100 A VALUE SPACES

JOB INPUT NULL
 INITIALIZE FILEOUT
 *
 * Note: change A00-PARSE-XML below to A00-TRACE-XML to trace errors.
 %XML PARSE FILEIN +
      EVENT EXIT A00-PARSE-XML

 IF XML-CODE NE ZERO
    DISPLAY 'Error in XML document - JOB terminated'
    RETURN-CODE = 16
    STOP EXECUTE
 END-IF
 STOP

* This paragraph traces XML events. Use it to find errors.
A00-TRACE-XML. PROC
   %XML DEBUG XML-TEXT
END-PROC

* This paragraph extracts useful fields found in the XML document.
A00-PARSE-XML. PROC
   DEFINE CURRENT-ELEMENT W 30 A
   DEFINE CURRENT-ATTRIBUTE W 30 A
   CASE XML-EVENT
        WHEN 'ATTRIBUTE-NAME'
           MOVE XML-TEXT TO CURRENT-ATTRIBUTE
        WHEN 'ATTRIBUTE-CHARACTERS'
           CASE CURRENT-ATTRIBUTE
              WHEN 'COMPANY'
*               DISPLAY 'COMPANY = ' XML-TEXT
                COMPANY = XML-TEXT
              WHEN 'BRANCH'
*               DISPLAY 'BRANCH = ' XML-TEXT
                BRANCH = XML-TEXT
              WHEN 'OFFICER'
*               DISPLAY 'OFFICER = ' XML-TEXT
                OFFICER = XML-TEXT
           END-CASE
           MOVE SPACES TO CURRENT-ATTRIBUTE

        WHEN 'START-OF-ELEMENT'
           MOVE XML-TEXT TO CURRENT-ELEMENT

        WHEN 'CONTENT-CHARACTERS'
           CASE CURRENT-ELEMENT
              WHEN 'OFFICER_NUMBER'
*               DISPLAY 'OFFICER = ' XML-TEXT
                OFFICER = XML-TEXT
              WHEN 'WAGE'
*               DISPLAY 'WAGE = ' XML-TEXT
                WAGE =  FUNCTION numval-c(XML-TEXT)
* when positive signed number, OR zone to F's '
                IF WAGE GE ZERO
                   WAGE = WAGE OR '00000000'
                END-IF
              WHEN 'RATE'
*               DISPLAY 'RATE = ' XML-TEXT
                RATE =  FUNCTION numval-c(XML-TEXT)
* when positive signed number, OR zone to F's '
                IF RATE GE ZERO
                   RATE = RATE OR '00000'
                END-IF
                PUT FILEOUT
                INITIALIZE WAGE
                INITIALIZE RATE
           END-CASE

        WHEN 'END-OF-ELEMENT'
           MOVE SPACES TO CURRENT-ELEMENT
        OTHERWISE
           CONTINUE
   END-CASE
END-PROC
/*
//
